aboutsummaryrefslogtreecommitdiffstats
path: root/testing/cinnamon-translations/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2014-02-06 19:51:40 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2014-02-06 19:51:40 +0000
commitf5632364aa8f0090e6d3312cb2d17ada2f7ff3ba (patch)
tree845e139dd021a91ea493e1f6c5ebf3665a51d13d /testing/cinnamon-translations/APKBUILD
parent37bd294bf07b61e4268fbd2781f66451507fe81c (diff)
downloadaports-f5632364aa8f0090e6d3312cb2d17ada2f7ff3ba.tar.gz
aports-f5632364aa8f0090e6d3312cb2d17ada2f7ff3ba.tar.bz2
aports-f5632364aa8f0090e6d3312cb2d17ada2f7ff3ba.tar.xz
testing/cinnamon-translations: new aport
Diffstat (limited to 'testing/cinnamon-translations/APKBUILD')
-rw-r--r--testing/cinnamon-translations/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/testing/cinnamon-translations/APKBUILD b/testing/cinnamon-translations/APKBUILD
new file mode 100644
index 0000000000..14ad5a82a6
--- /dev/null
+++ b/testing/cinnamon-translations/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=cinnamon-translations
+pkgver=2.0.3
+pkgrel=0
+pkgdesc="Translations for Cinnamon and Nemo"
+url="http://cinnamon.linuxmint.com/"
+arch="noarch"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="$pkgname-$pkgver.tar.gz::https://github.com/linuxmint/cinnamon-translations/archive/${pkgver}.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+}
+
+package() {
+ cd "$_builddir"
+ mkdir -p "$pkgdir"/usr/share/cinnamon/locale/
+ cp -r mo-export/* \
+ "$pkgdir"/usr/share/cinnamon/locale/
+}
+
+md5sums="f3eac74f56adf99a32d6d2f2fd866bb3 cinnamon-translations-2.0.3.tar.gz"
+sha256sums="ec75f7414714e9f4144ffc8bba863b50a5bc43f3b1add94846d7e58e42d8831f cinnamon-translations-2.0.3.tar.gz"
+sha512sums="fbbd40224d05640bf6c21fa01b44e937338a67adaa93cf9dba7c06e18078e2d90cc192292336b3c3a8c5e18a1be4bd0c8bae1b522f347bb34b02c307cf9d3c3e cinnamon-translations-2.0.3.tar.gz"